Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system.server
Class NoAnnotationURLClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.jboss.system.server.NoAnnotationURLClassLoader

public class NoAnnotationURLClassLoader
extends URLClassLoader

A URL classloader to avoid URL annotation of classes in RMI

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Constructor Summary
`NoAnnotationURLClassLoader(URL[] urls)` Construct a `URLClassLoader`
`NoAnnotationURLClassLoader(URL[] urls, ClassLoader parent)` Construct a `URLClassLoader`
`NoAnnotationURLClassLoader(URL[] urls, ClassLoader parent, URLStreamHandlerFactory factory)` Construct a `URLClassLoader`

Method Summary
`URL[]` | `getAllURLs()` Return all library URLs
`URL[]` | `getURLs()` Return an empty URL array to force the RMI marshalling subsystem to use the `java.server.codebase` property as the annotated codebase.

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoAnnotationURLClassLoader

    public NoAnnotationURLClassLoader(URL[] urls)

  Construct a `URLClassLoader`

Parameters:
  `urls` - the URLs to load classes from.

### NoAnnotationURLClassLoader

    public NoAnnotationURLClassLoader(URL[] urls,
                                      ClassLoader parent)

  Construct a `URLClassLoader`

Parameters:
  `urls` - the URLs to load classes from.
  `parent` - the parent classloader.

### NoAnnotationURLClassLoader

    public NoAnnotationURLClassLoader(URL[] urls,
                                      ClassLoader parent,
                                      URLStreamHandlerFactory factory)

  Construct a `URLClassLoader`

Parameters:
  `urls` - the URLs to load classes from.
  `parent` - the parent classloader.
  `factory` - the url stream factory.

Method Detail

### getAllURLs

    public URL[] getAllURLs()

  Return all library URLs

  Do not remove this method without running the WebIntegrationTestSuite

### getURLs

    public URL[] getURLs()

  Return an empty URL array to force the RMI marshalling subsystem to use the `java.server.codebase` property as the annotated codebase.

  Do not remove this method without discussing it on the dev list.

  Returns:
    Empty URL[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.